#include "guess.h"
int find_number(int MAX) {
    int low = 1, high = MAX, guess;
    while(low <= high) {
        guess = low + (high - low) / 2;
        bool result = smaller(guess);
        if(result) {
            high = guess - 1;
        } else {
            low = guess + 1;
        }
    }
    return high;
}

